org.jenkinsci.maven.plugins.hpi

## Class Artifacts

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<org.apache.maven.artifact.Artifact>
      - - org.jenkinsci.maven.plugins.hpi.Artifacts

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<org.apache.maven.artifact.Artifact>, java.util.Collection<org.apache.maven.artifact.Artifact>, java.util.List<org.apache.maven.artifact.Artifact>, java.util.RandomAccess

    public class Artifacts
    extends java.util.ArrayList<org.apache.maven.artifact.Artifact>

Collection filter operations on a set of `Artifact`s.

Author:
  Kohsuke Kawaguchi
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`Artifacts()`
`Artifacts(java.util.Collection<? extends org.apache.maven.artifact.Artifact> c)`

### Method Summary

Methods
`Artifacts` `artifactIdIs(java.lang.String... artifactId)`
`Artifacts` `artifactIdIsNot(java.lang.String... artifactId)`
`Artifacts` `groupIdIs(java.lang.String... groupId)`
`Artifacts` `groupIdIsNot(java.lang.String... groupId)`
`static Artifacts` `of(org.apache.maven.project.MavenProject p)` Return the `Artifact`s representing dependencies of the given project.
`static Artifacts` `ofDirectDependencies(org.apache.maven.project.MavenProject p)`
`Artifacts` `removeAll(com.google.common.base.Predicate<org.apache.maven.artifact.Artifact> filter)`
`Artifacts` `retainAll(com.google.common.base.Predicate<org.apache.maven.artifact.Artifact> filter)`
`Artifacts` `scopeIs(java.lang.String... scopes)`
`Artifacts` `scopeIsNot(java.lang.String... scopes)`
`Artifacts` `typeIs(java.lang.String... type)`
`Artifacts` `typeIsNot(java.lang.String... type)`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Constructor Detail

#### Artifacts

    public Artifacts()

#### Artifacts

    public Artifacts(java.util.Collection<? extends org.apache.maven.artifact.Artifact> c)

### Method Detail

#### of

    public static Artifacts of(org.apache.maven.project.MavenProject p)

Return the `Artifact`s representing dependencies of the given project. A thin-wrapper of p.getArtifacts()

#### ofDirectDependencies

    public static Artifacts ofDirectDependencies(org.apache.maven.project.MavenProject p)

#### retainAll

    public Artifacts retainAll(com.google.common.base.Predicate<org.apache.maven.artifact.Artifact> filter)

#### removeAll

    public Artifacts removeAll(com.google.common.base.Predicate<org.apache.maven.artifact.Artifact> filter)

#### scopeIs

    public Artifacts scopeIs(java.lang.String... scopes)

#### scopeIsNot

    public Artifacts scopeIsNot(java.lang.String... scopes)

#### typeIs

    public Artifacts typeIs(java.lang.String... type)

#### typeIsNot

    public Artifacts typeIsNot(java.lang.String... type)

#### groupIdIs

    public Artifacts groupIdIs(java.lang.String... groupId)

#### groupIdIsNot

    public Artifacts groupIdIsNot(java.lang.String... groupId)

#### artifactIdIs

    public Artifacts artifactIdIs(java.lang.String... artifactId)

#### artifactIdIsNot

    public Artifacts artifactIdIsNot(java.lang.String... artifactId)